SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |   



Category:   Application (Generic)  >   Perl Vendors:   Wall, Larry
Perl Regex Processing Flaw Lets Remote and Local Users Deny Service
SecurityTracker Alert ID:  1029735
SecurityTracker URL:  https://securitytracker.com/id/1029735
CVE Reference:   CVE-2010-4777   (Links to External Site)
Date:  Feb 10 2014
Impact:   Denial of service via local system, Denial of service via network
Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 5.10.0, 5.12.0, 5.14.0; possibly other versions
Description:   A vulnerability was reported in Perl. A remote or local user can cause denial of service conditions.

When debugging is enabled, a user can supply specially crafted input to trigger a flaw in Perl_reg_numbered_buff_fetch() and cause the target application to crash.

SpamAssassin and OCSInventory are affected.

Impact:   A remote or local user can the target application to crash.
Solution:   No solution was available at the time of this entry.
Vendor URL:  perl.org/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search


Content previously copyright SecurityGlobal.net LLC placed in the public domain on December 31, 2019.